LLM Generation Strategies
Delete LLM Generation Strategy
Deletes a specific LLM generation strategy. Fails if the strategy is still in use by an assistant or agent.
DELETE
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
/
{organizationId}
/
llm-generation-strategies
/
{strategyId}
Delete LLM Generation Strategy
curl --request DELETE \
--url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/llm-generation-strategies/{strategyId}import requests
url = "https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/llm-generation-strategies/{strategyId}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/llm-generation-strategies/{strategyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": "2025-04-17T14:23:30Z",
"message": "<string>",
"data": null,
"traceId": "<string>"
}Path Parameters
ID of the Vendor (UUID)
ID of the Organization (UUID)
ID of the LLM Generation Strategy to delete (UUID)
Response
Strategy successfully deleted
Standard API response wrapper
Was this page helpful?
⌘I
Delete LLM Generation Strategy
